GNU bug report logs - #38350
Building libsignal-protocol-c on armv7l fails while test phase

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: guix; Reported by: Tobias Diekershoff <tobias.diekershoff@HIDDEN>; dated Sat, 23 Nov 2019 18:46:02 UTC; Maintainer for guix is bug-guix@HIDDEN.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 23 Nov 2019 18:45:38 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Nov 23 13:45:38 2019
Received: from localhost ([127.0.0.1]:57789 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iYaPY-0000xJ-07
	for submit <at> debbugs.gnu.org; Sat, 23 Nov 2019 13:45:38 -0500
Received: from lists.gnu.org ([209.51.188.17]:48386)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <tobias.diekershoff@HIDDEN>) id 1iYa6C-0000Qw-4F
 for submit <at> debbugs.gnu.org; Sat, 23 Nov 2019 13:25:39 -0500
Received: from eggs.gnu.org ([2001:470:142:3::10]:42573)
 by lists.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <tobias.diekershoff@HIDDEN>) id 1iYa6A-00058p-DX
 for bug-guix@HIDDEN; Sat, 23 Nov 2019 13:25:35 -0500
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: **
X-Spam-Status: No, score=2.1 required=5.0 tests=BAYES_50,FREEMAIL_FROM,
 RCVD_IN_DNSWL_LOW,SPOOFED_FREEMAIL autolearn=disabled version=3.3.2
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <tobias.diekershoff@HIDDEN>) id 1iYa68-0002f0-UG
 for bug-guix@HIDDEN; Sat, 23 Nov 2019 13:25:34 -0500
Received: from mout.gmx.net ([212.227.17.22]:56849)
 by eggs.gnu.org with esmtps (TLS1.0:DHE_RSA_AES_128_CBC_SHA1:16)
 (Exim 4.71) (envelope-from <tobias.diekershoff@HIDDEN>)
 id 1iYa68-0002dI-H4
 for bug-guix@HIDDEN; Sat, 23 Nov 2019 13:25:32 -0500
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=gmx.net;
 s=badeba3b8450; t=1574533529;
 bh=+uGyrySo/B609vzg+TThmmuKhVD5zK7pCA65xub8UtI=;
 h=X-UI-Sender-Class:Date:From:To:Subject;
 b=UiyGay64sCL3VsQ5tCFawI1G4YIoFLetI8+aXqLndft9mv2B1HJFOJFpq9VMtt7c0
 NvSICU93ExArvMzNKnebUnwQQfV/TGYny6QaDGYnb7b+s/KJCiSOEtoteObDczvNNE
 5epZ+CPMqhWeiCzrYMMzpRrfIpM6Ahjfe++V3tew=
X-UI-Sender-Class: 01bb95c1-4bf8-414a-932a-4f6e2808ef9c
Received: from bigshock ([46.85.130.51]) by mail.gmx.com (mrgmx105
 [212.227.17.168]) with ESMTPSA (Nemesis) id 1N7iCg-1hmkm31kws-014jsN; Sat, 23
 Nov 2019 19:25:29 +0100
Date: Sat, 23 Nov 2019 19:25:28 +0100
From: Tobias Diekershoff <tobias.diekershoff@HIDDEN>
To: bug-guix@HIDDEN
Subject: Building libsignal-protocol-c on armv7l fails while test phase
Message-Id: <20191123192528.46bc9c25edee4e00b4e1115d@HIDDEN>
Organization: www.diekershoff.net
X-Mailer: Sylpheed 3.5.1 (GTK+ 2.24.31; x86_64-pc-linux-gnu)
X-Face: /r3C^_MQ[9CHlH]@D7J\@#%#<z4XEBOR}Hx.E]B/4D+WN)?G6jDBhtUwkez\'D!\g/.B(nX
 &r(MK.7fz*2j9CS<nG*`"RB;e#d!8/{l.o[VsI:N|2P3JEQ\5$]Bz
Mime-Version: 1.0
Content-Type: text/plain; charset=US-ASCII
Content-Transfer-Encoding: 7bit
X-Provags-ID: V03:K1:cu4r3Ao/raTyQRhN2duQwxPpV5Q2+IkDJ3+/9gbAyr3o/G5AQFo
 QvWOj0sVgUcElgim9UusSOxSktrREjxXxulTzMGI6komqAOptZ/4f8h9G3H9LFD/8i51LQI
 0tV7QIGlBmmdT8rYusnyfoiySt/4ynuO7AK/a3AoSfsMJJdEA0RaUdou+04XO0zm9sClzkt
 /qi6R+1o7L0i1ktgex5TA==
X-UI-Out-Filterresults: notjunk:1;V03:K0:XxhTusz9iEU=:8aIwC+Uc8NiYzL0lIoRa1+
 u3uZaKqXi6GQCGwMsI1ELm2YQzOZXND0vGLnGNneeYLSkpyIqrJKXDct1rBQjYPDYzlX8jTJ6
 j2CzttFextfK0QqH/YWHc4Rb9cA4baFfKOlbjXAb9eunai7+9RIssGuBb1mziSe1Ke2x9RWQb
 2w5lZsX1b7YzuozT9IGqd9Z8XrKvQTwQEcwL3ipxdVd3G2JODO8DdU3hWYaFb2IVhtiE4kmRU
 2DTm4hxtnpwcOuLqVDvIWHlH618Mv3QVifo73lGRTjEwC7DM1tsDP/zCj9OrPiU1VkI1aDq4b
 D7tuu2Ki9IpDltTO9C7hnguJwUDI9NhOVF5V77HMNvhO8zIRSpPsrYX+pejL71vlLUgBkAytt
 ZugasmSLO9ia1AKm7R+MMX6Q0u8J6dTkxpe18esZid6veyHa1m3NZcBV1eeFVGEKB2ALq8w2u
 k2ynMOSg5RyI0+jzATp3U1NpLm1wUhZZsNRj/V7WjOwFX9iBUToGH82HxwCF3icPdNQsYkg4R
 FQl2Gmwpnb7E0tISEceNzE5hMFP4ahsb1qTOxEhywZZK9GQtYfMZ1uSx9I93KILVh0V151kce
 W4K9VMfJu09772Llmttx1JpAlg3oH4Vs1gDBs8/D9MzM9pngupKm1kBtlDZ9C3X8FuKU63x9Y
 X8f2EPSPfka2hjahoeoMu7yKTYceGA7bwm4EOJNDHzF+htJvq0HuGv7tO5aIwpM8WgkQMW5QP
 17e59TBGwhrqwMeK5xVnZ0Vj2LBMB3f7/YCNhfiOUy1qOV30EOLgKokkXQ1LlydoifxQ0GPgR
 cREHN7wKT9S344W38OaV/Ar7RZOZODGP52+9lIIMIj+fSFP9OsQG3HfnNF7Z8rYJkx4WhuAhB
 rVDdxXpbY1w59JVMTSPyCGem8jyFCP0ROh5dykW45XQaEdQzgpxHTKKlzUA4zO6VcDY9FKS8k
 uJ6JXD/GMJK3hVcP5zm8hPOFLyhUu0b3D7i6Mye96yAOx+IlRA1rvnfZuoJps8g6tJuLgh9tQ
 DjDSYwb6FQ0AP2xDOxo8zVh6ctScy2UpY7YTTwpyRxkexRz/4hLWMwcOgl3FWTM4pZqayiUuH
 K0nlijNr4/wYwO/jTw8ThaPD90SEAYG1UHviICQSaWAsepB5BOosJhwxQk4TRBRA3bRrYu7ze
 SMh7g2ODG+BUyhjtoCX7cvIfJvbGMTBjyluaVyjmeVm1ukA0sA+Hp3kMDlgqtz6sci7Fh7i7y
 8x0BfpFzCPUPpRtxq4AWwPOYFm5U8DmgmKdAdk4zyrz0SnoYLpOKyaHzjuVA=
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
 [fuzzy]
X-Received-From: 212.227.17.22
X-Spam-Score: 0.6 (/)
X-Debbugs-Envelope-To: submit
X-Mailman-Approved-At: Sat, 23 Nov 2019 13:45:34 -0500
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.4 (--)

Dear GUIX,

I'm trying to install the profanity XMPP client on my RaspberryPi (armv7l) which fails during testing the build of libsignal-protocol-c-2.3.2.

> The following tests FAILED:
>           1 - test_curve25519 (Failed)
>           9 - test_simultaneous_initiate (Failed)
>          11 - test_group_cipher (Failed)
> Errors while running CTest

The results of the failed tests are the following:

Test 1
------

>       Start  1: test_curve25519
>  1/13 Test  #1: test_curve25519 ..................***Failed    6.50 sec
> Running suite(s): curve25519
> [ERROR] Invalid signature
> [line repeated som 160 times or so]
> [ERROR] Invalid signature
> 87%: Checks: 8, Failures: 0, Errors: 1
> /tmp/guix-build-libsignal-protocol-c-2.3.2.drv-0/libsignal-protocol-c-2.3.2/tests/test_curve25519.c:30:P:case:test_internal:0: Passed
> /tmp/guix-build-libsignal-protocol-c-2.3.2.drv-0/libsignal-protocol-c-2.3.2/tests/test_curve25519.c:122:P:case:test_curve25519_agreement:0: Passed
> /tmp/guix-build-libsignal-protocol-c-2.3.2.drv-0/libsignal-protocol-c-2.3.2/tests/test_curve25519.c:176:P:case:test_curve25519_generate_public:0: Passed
> /tmp/guix-build-libsignal-protocol-c-2.3.2.drv-0/libsignal-protocol-c-2.3.2/tests/test_curve25519.c:231:P:case:test_curve25519_random_agreements:0: Passed
> /tmp/guix-build-libsignal-protocol-c-2.3.2.drv-0/libsignal-protocol-c-2.3.2/tests/test_curve25519.c:320:P:case:test_curve25519_signature:0: Passed
> /tmp/guix-build-libsignal-protocol-c-2.3.2.drv-0/libsignal-protocol-c-2.3.2/tests/test_curve25519.c:358:P:case:test_curve25519_large_signatures:0: Passed
> /tmp/guix-build-libsignal-protocol-c-2.3.2.drv-0/libsignal-protocol-c-2.3.2/tests/test_curve25519.c:412:E:case:test_unique_signatures:0: (after this point) Test timeout expired
> /tmp/guix-build-libsignal-protocol-c-2.3.2.drv-0/libsignal-protocol-c-2.3.2/tests/test_curve25519.c:470:P:case:test_unique_signature_vector:0: Passed

Test 9
------

>       Start  9: test_simultaneous_initiate
>  9/13 Test  #9: test_simultaneous_initiate .......***Failed   10.84 sec
> Running suite(s): simultaneous_initiate
> [NOTICE] Bad MAC
> [WARNING] Message mac not verified
> [INFO] We've already setup a session for this V3 message, letting bundled message fall through...
> [NOTICE] Bad MAC
> [WARNING] Message mac not verified
> Simultaneous initiate tests, iteration: 0
> [NOTICE] Bad MAC
> [WARNING] Message mac not verified
> [NOTICE] Bad MAC
> [WARNING] Message mac not verified
[Block from "Simultaneous" on repeated for 49 iterations]
[The sequence is repeated once]
> /tmp/guix-build-libsignal-protocol-c-2.3.2.drv-0/libsignal-protocol-c-2.3.2/tests/test_simultaneous_initiate.c:247:P:case:test_basic_simultaneous_initiate:0: Passed
> /tmp/guix-build-libsignal-protocol-c-2.3.2.drv-0/libsignal-protocol-c-2.3.2/tests/test_simultaneous_initiate.c:420:P:case:test_lost_simultaneous_initiate:0: Passed
> /tmp/guix-build-libsignal-protocol-c-2.3.2.drv-0/libsignal-protocol-c-2.3.2/tests/test_simultaneous_initiate.c:601:P:case:test_simultaneous_initiate_lost_message:0: Passed
> /tmp/guix-build-libsignal-protocol-c-2.3.2.drv-0/libsignal-protocol-c-2.3.2/tests/test_simultaneous_initiate.c:860:P:case:test_simultaneous_initiate_repeated_messages:0: Passed
> /tmp/guix-build-libsignal-protocol-c-2.3.2.drv-0/libsignal-protocol-c-2.3.2/tests/test_simultaneous_initiate.c:1041:E:case:test_repeated_simultaneous_initiate_repeated_messages:0: (after this point) Test timeout expired
> /tmp/guix-build-libsignal-protocol-c-2.3.2.drv-0/libsignal-protocol-c-2.3.2/tests/test_simultaneous_initiate.c:1317:E:case:test_repeated_simultaneous_initiate_lost_message_repeated_messages:0: (after this point) Test timeout expired

Test 11
-------

>       Start 11: test_group_cipher
> 11/13 Test #11: test_group_cipher ................***Failed    9.45 sec
> Running suite(s): group_cipher
> [WARNING] No sender key for: nihilist history reading group::+14150001111::1
> [WARNING] Received message with old counter: 1, 0
> [ERROR] No key state in record!
> 77%: Checks: 9, Failures: 0, Errors: 2
> /tmp/guix-build-libsignal-protocol-c-2.3.2.drv-0/libsignal-protocol-c-2.3.2/tests/test_group_cipher.c:106:P:case:test_no
> _session:0: Passed
> /tmp/guix-build-libsignal-protocol-c-2.3.2.drv-0/libsignal-protocol-c-2.3.2/tests/test_group_cipher.c:184:P:case:test_basic_encrypt_decrypt:0: Passed
> /tmp/guix-build-libsignal-protocol-c-2.3.2.drv-0/libsignal-protocol-c-2.3.2/tests/test_group_cipher.c:308:P:case:test_basic_ratchet:0: Passed
> /tmp/guix-build-libsignal-protocol-c-2.3.2.drv-0/libsignal-protocol-c-2.3.2/tests/test_group_cipher.c:415:P:case:test_late_join:0: Passed
> /tmp/guix-build-libsignal-protocol-c-2.3.2.drv-0/libsignal-protocol-c-2.3.2/tests/test_group_cipher.c:515:P:case:test_out_of_order:0: Passed
> /tmp/guix-build-libsignal-protocol-c-2.3.2.drv-0/libsignal-protocol-c-2.3.2/tests/test_group_cipher.c:560:P:case:test_encrypt_no_session:0: Passed
> /tmp/guix-build-libsignal-protocol-c-2.3.2.drv-0/libsignal-protocol-c-2.3.2/tests/test_group_cipher.c:616:E:case:test_too_far_in_future:0: (after this point) Test timeout expired
> /tmp/guix-build-libsignal-protocol-c-2.3.2.drv-0/libsignal-protocol-c-2.3.2/tests/test_group_cipher.c:694:E:case:test_message_key_limit:0: (after this point) Test timeout expired
> /tmp/guix-build-libsignal-protocol-c-2.3.2.drv-0/libsignal-protocol-c-2.3.2/tests/test_group_cipher.c:782:P:case:test_invalid_signature_key:0: Passed


Please let me know what other information you need.

Thanks!
  Tobias




Acknowledgement sent to Tobias Diekershoff <tobias.diekershoff@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-guix@HIDDEN. Full text available.
Report forwarded to bug-guix@HIDDEN:
bug#38350; Package guix. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Mon, 25 Nov 2019 12:00:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.